Skip to main content
GET
/
api
/
2.0
/
thread_messages
/
{id}
Retrieve Thread Message
curl --request GET \
  --url https://sandbox.elationemr.com/api/2.0/thread_messages/{id}/ \
  --header 'Authorization: Bearer <token>'
{
  "body": "<string>",
  "send_date": "2023-11-07T05:31:56Z",
  "sender": 123,
  "id": 123,
  "patient": 123,
  "practice": 123,
  "thread": 123,
  "to_document": {
    "authoring_practice": 123,
    "chart_date": "2023-11-07T05:31:56Z",
    "document_date": "2023-11-07T05:31:56Z",
    "id": 123,
    "patient": 123,
    "created_date": "2023-11-07T05:31:56Z",
    "deleted_date": "2023-11-07T05:31:56Z",
    "document_type": 123,
    "last_modified": "2023-11-07T05:31:56Z",
    "sign_date": "2023-11-07T05:31:56Z",
    "signed_by": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://help.elationhealth.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

id
integer<int64>
required

Response

200 - application/json
body
string
required

The actual message body.

send_date
string<date-time>
required

The date of when the message was sent.

sender
integer
required

The id of who sent the message.

id
integer
read-only
patient
integer<int64>
read-only

The patient id.

practice
integer<int64>
read-only

The practice id.

thread
integer<int64>

The message thread id.

to_document
object